## openalsrc openalsrc — capture raw audio samples through OpenAL |

## Properties

gchar * | device | Read / Write
gchar * | device-name | Read

## Types and Values

struct | GstOpenalSrc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSrc
                        ╰── GstPushSrc
                            ╰── GstAudioBaseSrc
                                ╰── GstAudioSrc
                                    ╰── GstOpenalSrc

## Description

This element captures raw audio samples through OpenAL.

### Example pipelines

    1
    gst-launch-1.0 -v openalsrc ! audioconvert ! wavenc ! filesink location=stream.wav

* will capture sound through OpenAL and encode it to a wav file.

    1
    gst-launch-1.0 openalsrc ! "audio/x-raw,format=S16LE,rate=44100" ! audioconvert ! volume volume=0.25 ! openalsink

will capture and play audio through OpenAL.

## Synopsis

### Element Information

plugin | openal
author | Juan Manuel Borges Caño <juanmabcmail@gmail.com>
class | Source/Audio

### Element Pads

name | src
direction | source
presence | always
details | audio/x-raw, format=(string)S16LE, rate=(int)[ 1, 2147483647 ], channels=(int)1
| audio/x-raw, format=(string)U8, rate=(int)[ 1, 2147483647 ], channels=(int)1

## Functions

## Types and Values

### struct GstOpenalSrc

    struct GstOpenalSrc;

## Property Details

### The `“device”` property

      “device”                   gchar *

User device, default device if NULL.

Flags: Read / Write

Default value: NULL

### The `“device-name”` property

      “device-name”              gchar *

Human-readable name of the device.

Flags: Read

Default value: NULL

## See Also

openalsink